namespace CascadeDelete.Migrations
{
    using System.Data.Entity.Migrations;
    
    public partial class TestMigration : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "Parents",
                c => new
                    {
                        ID = c.Int(nullable: false, identity: true),
                        Dummy = c.String(maxLength: 255),
                    })
                .PrimaryKey(t => t.ID);
            
            CreateTable(
                "Children",
                c => new
                    {
                        ID = c.Int(nullable: false, identity: true),
                        Parent_ID = c.Int(nullable: false),
                    })
                .PrimaryKey(t => t.ID)
                .ForeignKey("Parents", t => t.Parent_ID, cascadeDelete: true) // see the cascadeDelete ?
                .Index(t => t.Parent_ID);
            
        }
        
        public override void Down()
        {
            DropIndex("Children", new[] { "Parent_ID" });
            DropForeignKey("Children", "Parent_ID", "Parents");
            DropTable("Children");
            DropTable("Parents");
        }
    }
}
